#block-search,
#block-search * {
    box-sizing: border-box;
}

#block-search {
    position: relative;
    z-index: 1;
    min-height: 93px;
    background: #ffffff;
    box-shadow: 0 0 10px 5px rgb(0 0 0 / 9%);
}

#block-search.block-search--room {
    margin-top: 60px;
}

@media screen and (min-width: 1025px) {
    #block-search.block-search--room {
        margin-top: 100px;
    }
}

@media screen and (min-width: 1025px) {
    #block-search.block-search--main {
        width: calc(100% - 20px);
        max-width: 1180px;
        margin: -380px auto 0;
        background: rgba(255, 255, 255, 0.9);
    }
}

@media screen and (min-width: 769px) and (min-height: 690px) {
    #block-search.block-search--inner {
        width: calc(100% - 20px);
        max-width: 1180px;
        margin: -230px auto 0;
        background: rgba(255, 255, 255, 0.9);
    }
}

.be-container {
    max-width: 1240px;
    margin: 0 auto;
    padding: 0 30px;
}

body:has(#block-search) .page-title {
    margin-bottom: 0;
}

.single-product .main-page-wrapper {
    padding-top: 0;
}

body:has(#block-search).single-product .product-images {
    margin-bottom: 0 !important;
}

#be-booking-form {
    width: 100%;
    max-width: 1180px;
    margin: 0 auto;
}

#tl-booking-cart {
    z-index: 1 !important;
}
